## tolua 4.0a

=== Makefile ===
# makefile for tolua hierarchy

all co clean klean:
	cd src/lib; make $@
	cd src/bin; make $@
