=== src/bin/Makefile ===
# makefile for tolua executable

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua.o \
	tolualua.o

T= $(TOLUA)/bin/tolua

all: $T

$T: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIB) -L$(TOLUA)/lib -ltolua -llua -llualib -lm

clean:
	rm -f $(OBJS) $T
