=== src/lib/Makefile ===
# makefile for tolua library

TOLUA=../..

include $(TOLUA)/config

OBJS=	\
	tolua_lb.o \
	tolua_rg.o \
	tolua_tt.o \
	tolua_tm.o \
	tolua_gp.o \
	tolua_eh.o \
	tolua_bd.o

T= $(TOLUA)/lib/libtolua.a

all: $T

$T: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

clean:
	rm -f $(OBJS) $T
