## tolua 5.1b

=== Makefile ===
# makefile for tolua hierarchy

tolua:
	cd src/lib; make all
	cd src/bin; make all

tests:
	cd src/tests; make all

all clean klean:
	cd src/lib; make $@
	cd src/bin; make $@
	cd src/tests; make $@

debug:
	cd src/bin; make all
