## tolua 5.2.0

=== Makefile ===
--- 
+++ 
@@ -13,5 +13,5 @@
 	cd src/tests; make $@
 
 debug:
-	cd src/bin; make all
+	cd src/bin; make debug
