=== src/bin/Makefile ===
--- 
+++ 
@@ -29,8 +29,8 @@
 	$(CC) -c -DLUA_SOURCE $(INC) -o $@ $<
 
 clean:
-	rm -f $(OBJS) -$(OBJS_D) $(T) $(T_D)
+	rm -f tolua_lua.o $(OBJS) -$(OBJS_D) $(T) $(T_D)
 
 klean:
-	rm -f $(OBJS) -$(OBJS_D) $(T_D)
+	rm -f tolua_lua.o $(OBJS) -$(OBJS_D) $(T_D)
