=== src/tests/Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 LIBS = -ltolua -llua
 
-all: tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
+EXE = tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective tenum tvararg
+
+all: $(EXE)
 	./tmodule; ./tnamespace; ./tclass; ./tinheritance; ./tconstant; ./tvariable; ./tfunction; ./tarray; ./tdirective; ./tfunction; ./tenum; ./tvararg
 
 tarray: tarray.o tarraybind.o
@@ -76,7 +78,7 @@
 	rm -f *.o 
 
 klean:
-	rm -f tmodule tnamespace tclass tinheritance tconstant tvariable tfunction tarray tdirective
+	rm -f $(EXE)
