=== debian/control ===
Source: tolua
Priority: optional
Section: libdevel
Maintainer: Jimmy Kaplowitz <jimmy@debian.org>
Build-Depends: debhelper-compat (= 13), liblua5.2-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.tecgraf.puc-rio.br/~celes/tolua/
Vcs-Browser: https://salsa.debian.org/debian/tolua
Vcs-Git: https://salsa.debian.org/debian/tolua.git

Package: libtolua-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.2-dev
Description: Tool to integrate C/C++ code with Lua - development files
 tolua is a tool that greatly simplifies the integration of C/C++ code with
 Lua. Based on a cleaned header file, tolua automatically generates the
 binding code to access C/C++ features from Lua. Using Lua API and tag
 method facilities, tolua maps C/C++ constants, external variables,
 functions, classes, and methods to Lua.
