=== debian/watch ===
version=3

https://www.tecgraf.puc-rio.br/~celes/tolua/tolua-(.*)\.tar\.gz	debian	uupdate
